gtkmm: Gtk::CellRendererProgress Class Reference

gtkmm 3.4.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions
Gtk::CellRendererProgress Class Reference
TreeView Classes

Renders numbers as progress bars. More...

Inheritance diagram for Gtk::CellRendererProgress:
[legend]

List of all members.

## Public Member Functions
virtual | ~CellRendererProgress ()
GtkCellRendererProgress* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkCellRendererProgress* | gobj () const
| Provides access to the underlying C GtkObject.
| CellRendererProgress ()
Glib::PropertyProxy< int > | property_value ()
| Value of the progress bar.
Glib::PropertyProxy_ReadOnly< int > | property_value () const
| Value of the progress bar.
Glib::PropertyProxy < Glib::ustring > | property_text ()
| Text on the progress bar.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_text () const
| Text on the progress bar.
Glib::PropertyProxy< int > | property_pulse ()
| Set this to positive values to indicate that some progress is made, but you don't know how much.
Glib::PropertyProxy_ReadOnly< int > | property_pulse () const
| Set this to positive values to indicate that some progress is made, but you don't know how much.
Glib::PropertyProxy< float > | property_text_xalign ()
| The horizontal text alignment, from 0 (left) to 1 (right).
Glib::PropertyProxy_ReadOnly < float > | property_text_xalign () const
| The horizontal text alignment, from 0 (left) to 1 (right).
Glib::PropertyProxy< float > | property_text_yalign ()
| The vertical text alignment, from 0 (top) to 1 (bottom).
Glib::PropertyProxy_ReadOnly < float > | property_text_yalign () const
| The vertical text alignment, from 0 (top) to 1 (bottom).
Glib::PropertyProxy< bool > | property_inverted ()
| Invert the direction in which the progress bar grows.
Glib::PropertyProxy_ReadOnly < bool > | property_inverted () const
| Invert the direction in which the progress bar grows.
Public Member Functions inherited from Gtk::CellRenderer
virtual | ~CellRenderer ()
SizeRequestMode | get_request_mode () const
| Gets whether the cell renderer prefers a height-for-width layout or a width-for-height layout.
void | get_preferred_width (Widget& widget, int& minimum_width, int& natural_width) const
| Retreives a renderer's natural size when rendered to widget.
void | get_preferred_height_for_width (Widget& widget, int width, int& minimum_height, int& natural_height) const
| Retreives a cell renderers's minimum and natural height if it were rendered to widget with the specified width.
void | get_preferred_height (Widget& widget, int& minimum_height, int& natural_height) const
| Retreives a renderer's natural size when rendered to widget.
void | get_preferred_width_for_height (Widget& widget, int height, int& minimum_width, int& natural_width) const
| Retreives a cell renderers's minimum and natural width if it were rendered to widget with the specified height.
void | get_preferred_size (Widget& widget, Requisition& minimum_size, Requisition& natural_size) const
| Retrieves the minimum and natural size of a cell taking into account the widget's preference for height-for-width management.
void | get_aligned_area (Widget& widget, CellRendererState flags, const Gdk::Rectangle& cell_area, Gdk::Rectangle& aligned_area)
| Gets the aligned area used by cell inside cell_area.
void | render (const ::Cairo::RefPtr< ::Cairo::Context >& cr, Widget& widget, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, CellRendererState flags)
| Invokes the virtual render function of the Gtk::CellRenderer.
bool | activate (GdkEvent* event, Widget& widget, const Glib::ustring& path, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, CellRendererState flags)
| Passes an activate event to the cell renderer for possible processing.
CellEditable* | start_editing (GdkEvent* event, Widget& widget, const Glib::ustring& path, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, CellRendererState flags=CellRendererState(0))
| Passes an activate event to the cell renderer for possible processing.
void | set_fixed_size (int width, int height)
| Sets the renderer size to be explicit, independent of the properties set.
void | get_fixed_size (int& width, int& height) const
| Fills in width and height with the appropriate size of cell.
void | set_alignment (float align, float yalign)
| Sets the renderer's alignment within its available space.
void | get_alignment (float& xalign, float& yalign) const
| Fills in xalign and yalign with the appropriate values of cell.
void | set_padding (int xpad, int ypad)
| Sets the renderer's padding.
void | get_padding (int& xpad, int& ypad) const
| Fills in xpad and ypad with the appropriate values of cell.
void | set_visible (bool visible=true)
| Sets the cell renderer's visibility.
bool | get_visible () const
| Returns the cell renderer's visibility.
void | set_sensitive (bool sensitive=true)
| Sets the cell renderer's sensitivity.
bool | get_sensitive () const
| Returns the cell renderer's sensitivity.
bool | is_activatable () const
| Checks whether the cell renderer can do something when activated.
void | stop_editing (bool canceled=false)
| Informs the cell renderer that the editing is stopped.
StateFlags | get_state (Widget& widget, CellRendererState cell_state) const
| Translates the cell renderer state to Gtk::StateFlags, based on the cell renderer and widget sensitivity, and the given Gtk::CellRendererState.
StateFlags | get_state (CellRendererState cell_state) const
| Translates the cell renderer state to StateFlags, based on the cell renderer and the given CellRendererState.
Glib::SignalProxy0< void > | signal_editing_canceled ()
Glib::SignalProxy2< void, CellEditable*, const Glib::ustring& > | signal_editing_started ()
| Note that this signal does not work yet in gtkmm.
Glib::PropertyProxy < CellRendererMode > | property_mode ()
| Editable mode of the CellRenderer.
Glib::PropertyProxy_ReadOnly < CellRendererMode > | property_mode () const
| Editable mode of the CellRenderer.
Glib::PropertyProxy< bool > | property_visible ()
| Display the cell.
Glib::PropertyProxy_ReadOnly < bool > | property_visible () const
| Display the cell.
Glib::PropertyProxy< bool > | property_sensitive ()
| Display the cell sensitive.
Glib::PropertyProxy_ReadOnly < bool > | property_sensitive () const
| Display the cell sensitive.
Glib::PropertyProxy< float > | property_xalign ()
| The x-align.
Glib::PropertyProxy_ReadOnly < float > | property_xalign () const
| The x-align.
Glib::PropertyProxy< float > | property_yalign ()
| The y-align.
Glib::PropertyProxy_ReadOnly < float > | property_yalign () const
| The y-align.
Glib::PropertyProxy< unsigned int > | property_xpad ()
| The xpad.
Glib::PropertyProxy_ReadOnly < unsigned int > | property_xpad () const
| The xpad.
Glib::PropertyProxy< unsigned int > | property_ypad ()
| The ypad.
Glib::PropertyProxy_ReadOnly < unsigned int > | property_ypad () const
| The ypad.
Glib::PropertyProxy< int > | property_width ()
| The fixed width.
Glib::PropertyProxy_ReadOnly< int > | property_width () const
| The fixed width.
Glib::PropertyProxy< int > | property_height ()
| The fixed height.
Glib::PropertyProxy_ReadOnly< int > | property_height () const
| The fixed height.
Glib::PropertyProxy< bool > | property_is_expander ()
| Row has children.
Glib::PropertyProxy_ReadOnly < bool > | property_is_expander () const
| Row has children.
Glib::PropertyProxy< bool > | property_is_expanded ()
| Row is an expander row, and is expanded.
Glib::PropertyProxy_ReadOnly < bool > | property_is_expanded () const
| Row is an expander row, and is expanded.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_cell_background ()
| Cell background color as a string.
Glib::PropertyProxy< Gdk::Color > | property_cell_background_gdk ()
| Cell background color as a GdkColor.
Glib::PropertyProxy_ReadOnly < Gdk::Color > | property_cell_background_gdk () const
| Cell background color as a GdkColor.
Glib::PropertyProxy< Gdk::RGBA > | property_cell_background_rgba ()
| Cell background color as a GdkRGBA.
Glib::PropertyProxy_ReadOnly < Gdk::RGBA > | property_cell_background_rgba () const
| Cell background color as a GdkRGBA.
Glib::PropertyProxy< bool > | property_cell_background_set ()
| Whether this tag affects the cell background color.
Glib::PropertyProxy_ReadOnly < bool > | property_cell_background_set () const
| Whether this tag affects the cell background color.
Glib::PropertyProxy_ReadOnly < bool > | property_editing () const
| Whether the cell renderer is currently in editing mode.
Public Member Functions inherited from Gtk::Object
virtual | ~Object ()
Public Member Functions inherited from Glib::Object
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj_copy () const
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Gtk::Orientable
virtual | ~Orientable ()
void | set_orientation (Orientation orientation)
| Sets the orientation of the orientable.
Orientation | get_orientation () const
| Retrieves the orientation of the orientable.
Glib::PropertyProxy< Orientation > | property_orientation ()
| The orientation of the orientable.
Glib::PropertyProxy_ReadOnly < Orientation > | property_orientation () const
| The orientation of the orientable.
Public Member Functions inherited from Glib::Interface
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
virtual | ~Interface ()
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj_copy () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Orientable
static void | add_interface (GType gtype_implementer)

## Related Functions
(Note that these are not member functions.)
Gtk::CellRendererProgress* | wrap (GtkCellRendererProgress* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::CellRenderer
Gtk::CellRenderer* | wrap (GtkCellRenderer* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::Orientable
Glib::RefPtr< Gtk::Orientable > | wrap (GtkOrientable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Protected Member Functions inherited from Gtk::CellRenderer
virtual void | on_editing_canceled ()
| This is a default handler for the signal signal_editing_canceled().
virtual void | on_editing_started (CellEditable* editable, const Glib::ustring& path)
| This is a default handler for the signal signal_editing_started().
| CellRenderer ()
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | get_preferred_width_vfunc (Widget& widget, int& minimum_width, int& natural_width) const
virtual void | get_preferred_height_for_width_vfunc (Widget& widget, int width, int& minimum_height, int& natural_height) const
virtual void | get_preferred_height_vfunc (Widget& widget, int& minimum_height, int& natural_height) const
virtual void | get_preferred_width_for_height_vfunc (Widget& widget, int height, int& minimum_width, int& natural_width) const
virtual void | render_vfunc (const ::Cairo::RefPtr< ::Cairo::Context >& cr, Widget& widget, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, CellRendererState flags)
virtual bool | activate_vfunc (GdkEvent* event, Widget& widget, const Glib::ustring& path, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, CellRendererState flags)
virtual CellEditable* | start_editing_vfunc (GdkEvent* event, Widget& widget, const Glib::ustring& path, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, CellRendererState flags)
Protected Member Functions inherited from Gtk::Orientable
| Orientable ()
| You should derive from this class to use it.
Protected Member Functions inherited from Glib::Interface
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
virtual | ~ObjectBase ()=0
void | initialize (GObject *castitem)

## Detailed Description

Renders numbers as progress bars.

Since gtkmm 2.6:

## Constructor & Destructor Documentation

virtual Gtk::CellRendererProgress::~CellRendererProgress | ( |  | ) |
| virtual

Gtk::CellRendererProgress::CellRendererProgress | ( |  | ) |

## Member Function Documentation

static GType Gtk::CellRendererProgress::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gtk::CellRenderer.

GtkCellRendererProgress* Gtk::CellRendererProgress::gobj | ( |  | ) |
| inline

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRenderer.

const GtkCellRendererProgress* Gtk::CellRendererProgress::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRenderer.

Glib::PropertyProxy< bool > Gtk::CellRendererProgress::property_inverted | ( |  | ) |

Invert the direction in which the progress bar grows.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererProgress::property_inverted | ( |  | ) | const

Invert the direction in which the progress bar grows.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::CellRendererProgress::property_pulse | ( |  | ) |

Set this to positive values to indicate that some progress is made, but you don't know how much.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::CellRendererProgress::property_pulse | ( |  | ) | const

Set this to positive values to indicate that some progress is made, but you don't know how much.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gtk::CellRendererProgress::property_text | ( |  | ) |

Text on the progress bar.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::CellRendererProgress::property_text | ( |  | ) | const

Text on the progress bar.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< float > Gtk::CellRendererProgress::property_text_xalign | ( |  | ) |

The horizontal text alignment, from 0 (left) to 1 (right).

Reversed for RTL layouts.

    You rarely need to use properties because there are get_ and set_ methods for almost all of them.
    @return A PropertyProxy that allows you to get or set the property of the value, or receive notification when
    the value of the property changes.

Glib::PropertyProxy_ReadOnly< float > Gtk::CellRendererProgress::property_text_xalign | ( |  | ) | const

The horizontal text alignment, from 0 (left) to 1 (right).

Reversed for RTL layouts.

    You rarely need to use properties because there are get_ and set_ methods for almost all of them.
    @return A PropertyProxy that allows you to get or set the property of the value, or receive notification when
    the value of the property changes.

Glib::PropertyProxy< float > Gtk::CellRendererProgress::property_text_yalign | ( |  | ) |

The vertical text alignment, from 0 (top) to 1 (bottom).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< float > Gtk::CellRendererProgress::property_text_yalign | ( |  | ) | const

The vertical text alignment, from 0 (top) to 1 (bottom).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::CellRendererProgress::property_value | ( |  | ) |

Value of the progress bar.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::CellRendererProgress::property_value | ( |  | ) | const

Value of the progress bar.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Gtk::CellRendererProgress* wrap | ( | GtkCellRendererProgress * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/cellrendererprogress.h